API Reference
Paginated tag library with per-tag prompt counts (tag-management table)
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
Public UUID of the domain whose tag library is addressed
Query Parameters
page?number
Range
1 <= valueDefault
1limit?number
Range
1 <= value <= 500Default
25search?string
sortBy?string
Default
"createdAt"Value in
- "createdAt"
- "name"
- "promptCount"
sortOrder?string
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
curl -X GET "https://example.com/api/domains/3fa85f64-5717-4562-b3fc-2c963f66afa6/tags/library"{ "items": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "organizationId": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "domainId": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "name": "retail", "createdAt": "2026-05-25T10:30:00.000Z", "updatedAt": "2026-05-25T10:30:00.000Z", "promptCount": 42 } ], "total": 137}